*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --color-bg: #ffffff;
    --color-surface: #fcfcfc;
    --color-header: #f7f7f7;
    --color-even: #f9f9f9;
    --color-surface-hover: #f0f0f0;
    --color-text: #0d0d0d;
    --color-text-muted: rgba(60, 60, 67, .78);
    --color-text-secondary: #757575;
    --color-text-tertiary: rgba(60, 60, 67, .56);
    --color-border: rgba(19, 21, 23, 0.1);
    --color-ordered: rgba(0, 0, 0, .014);

    --color-primary: #ff5e00;
    --color-primary-hover: rgb(255, 134, 64);

    --color-success: #16a34a;
    --color-warning: #f59e0b;
    --color-danger: #ef4444;

    --color-success-bg: rgba(22, 163, 74, .14);
    --color-warning-bg: rgba(245, 158, 11, .14);
    --color-danger-bg: rgba(239, 68, 68, .14);

    --radius-sm: 6px;
    --radius-md: 10px;
    --radius-lg: 16px;

    --font-base: "Montserrat", sans-serif;
}

.logo circle{
    fill: #fff;
}
.logo path.top{
    fill: #ff5e00;
}
.logo path.bot{
    fill: #0050a7;
}

@media (prefers-color-scheme: dark) {
    :root {
        --color-bg: #121212;
        --color-surface: #171717;
        --color-header: #1f1f1f;
        --color-even: #191919;
        --color-surface-hover: #1b1b1b;
        --color-text: #fff;
        --color-text-muted: rgba(235, 235, 245, .6);
        --color-text-secondary: rgba(235, 235, 245, .6);
        --color-text-tertiary: rgba(235, 235, 245, .38);
        --color-border: #2e2e2e;
        --color-ordered: rgba(235, 235, 235, .014);

        --color-primary: rgb(255, 94, 0);
        --color-primary-hover: rgb(255, 134, 64);

        --color-success: #3dd68c;
        --color-warning: #f9b44e;
        --color-danger: #f66f81;

        --color-success-bg: rgba(16, 185, 129, .16);
        --color-warning-bg: rgba(234, 179, 8, .16);
        --color-danger-bg: rgba(244, 63, 94, .16);
    }

    .logo circle{
        fill: transparent;
    }

    .logo path.top,
    .logo path.bot{
        fill: #fff;
    }
}
html, body {
    height: 100%;
}

body {
    font-family: var(--font-base);
    background-color: var(--color-bg);
    color: var(--color-text);
    line-height: 1.2;
    -webkit-font-smoothing: antialiased;
    font-size: 16px;
    letter-spacing: -0.02rem;
    overflow-x: hidden;
}
a {
    color: var(--color-primary);
    text-decoration: none;
}

a:hover {
    color: var(--color-primary-hover);
}

hr {
    border: none;
    border-top: 1px solid var(--color-border);
}

.input, .gridjs-input{
    background-color: var(--color-surface);
    border: 2px solid var(--color-surface);
    border-radius: var(--radius-sm);
    padding: .5rem;
    color: var(--color-text);
    width: 100%;
    outline: none;
    height: 3rem;
    line-height: 1rem;
}
.input:focus, .gridjs-input:focus{
    border-color: var(--color-border);
}
.btn{
    background-color: var(--color-primary);
    color: #fff;
    border-radius: 999rem;
    border: none;
    padding: 1rem 1.5rem;
    height: 3rem;
    text-transform: uppercase;
    font-weight: 600;
    cursor: pointer;
    width: 100%;
    position: relative;
    transition: all .2s linear;
}
.btn:hover{
    background-color: var(--color-primary-hover);
}

#login{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 95%;
    max-width: 400px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    gap: 1rem;
}

.badge{
    padding: .25rem 1rem;
    border-radius: 999rem;
    font-size: .75rem;
    text-transform: uppercase;
    font-weight: 600;
    display: block;
    text-align: center;
}
.badge.success{
    background-color: var(--color-success-bg);
    color: var(--color-success);
}
.badge.warning{
    background-color: var(--color-warning-bg);
    color: var(--color-warning);
}
.badge.danger{
    background-color: var(--color-danger-bg);
    color: var(--color-danger);
}

#login .icon{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
#login .icon .logo{
    width: 3rem;
    height: 3rem;
}
#login .icon .text{
    font-weight: 500;
    font-size: 1.5rem;
}

.section{
    display: flex;
    gap: .5rem;
    align-items: center;
    position: relative;
    width: 100%;
}
.section svg{
    width: 1.5rem;
    height: 1.5rem;
}
.section.w-icon .input{
    padding-left: 2.5rem;
}
.section.section.w-icon svg{
    position: absolute;
    left: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
}

header{
    position: relative;
    z-index: 10000;
    display: flex;
    gap: 1rem;
    width: 100%;
    height: 4.5rem;
    justify-content: space-between;
    align-items: center;
    padding: .75rem;
    border-radius: 999rem;
    background-color: var(--color-bg);
    margin-top: 1rem;
}
header .nav-menu{
    display: none;
}
header nav{
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    align-items: center;
    width: 100%;

}
header nav ul{
    display: flex;
    gap: 2rem;
    justify-content: center;
    align-items: center;
}
header nav ul li{
    list-style: none;

}
header nav ul li:first-child{
    margin-left: 1rem;
}
header nav ul li a{
    text-decoration: none;
    color: var(--color-text);
    font-weight: 600;
    padding: .5rem 0;
}

header nav ul .btn{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding: .25rem;
}

.btn .text{
    font-weight: 600;
    padding-left: 1rem;
    z-index: 5;
    transition: all .2s linear;
    position: relative;
}
.btn .icon{
    width: 2.5rem;
    height: 2.5rem;
    background-color: #fff;
    border-radius: 999rem;
    padding: .5rem;
    color: #000;
    position: absolute;
    right: .25rem;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    transition: all .2s linear;
}
.btn .icon svg{
    width: 1.5rem;
    height: 1.5rem;
}
.btn:has(.icon){
    padding-right: 3.75rem;
}
.btn:hover .icon{
    width: calc(100% - .5rem);
}
.btn:hover .text{
    color: #000;
    transform: translateX(2rem);
}
header .logo{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
header .logo svg{
    width: calc(14.375rem / 1.5);
    height: 2rem;
}

#highlight{
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
    background-color: transparent;
    padding-top: 0;
    border-radius: 0 0 3rem 3rem;
    position: relative;
    overflow: hidden;
}
#highlight::before {
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-position: center top;    /* topo sempre alinhado */
    background-repeat: no-repeat;
    background-size: cover;
    pointer-events: none;
    z-index: -1;
    will-change: transform;
    transform-origin: center top;
    transform: translateY(var(--bg-translate, 0)) scale(var(--bg-scale, 1));
}

#highlight::after { /* esse é o overlay que escurece */
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, var(--overlay-opacity, 0));
    pointer-events: none;
    z-index: -1;
}

#highlight .container-h{
    text-align: left;
    color: #fff;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1rem;
    max-width: 40%;
    position: absolute;
    top: calc(50% - 3rem);
    transform: translateY(-50%);
}
#highlight .container-h .btn{
    margin-top: 1rem;
    width: auto;
}
#highlight .container-h .phrase{
    line-height: 1;
    color: #fff;
}

.container{
    width: 95%;
    max-width: 1600px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    min-height: 100vh;
}
.container:has(.table){
    overflow-x: auto;
    overflow-y: hidden;
}
.container:last-of-type{
    padding-bottom: 4rem;
}

.divide{
    display: flex;
    gap: 1rem;
    flex-direction: row;
}

.container.first{
    margin-top: 1rem;
}

.container .container-h{
    display: flex;
    flex-direction: column;
    gap: .25rem;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin: 2rem 0;
}
.container .container-h h2{
    font-size: 1.875rem;
    font-weight: 600;
    color: var(--color-primary);
    margin: 0
}
.container .container-h .phrase{
    font-size: 3.75rem;
    font-weight: 700;
    color: var(--color-text);
}

.grid{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1rem;
}
.grid.half{
    grid-template-columns: repeat(6, 1fr);
}

/* spans válidos */
.s1  { grid-column: span 1; }
.s2  { grid-column: span 2; }
.s3  { grid-column: span 3; }
.s4  { grid-column: span 4; }
.s5  { grid-column: span 5; }
.s6  { grid-column: span 6; }
.s7  { grid-column: span 7; }
.s8  { grid-column: span 8; }
.s9  { grid-column: span 9; }
.s10 { grid-column: span 10; }
.s11 { grid-column: span 11; }
.s12 { grid-column: span 12; }

/* table */
.grid.table{
    border-radius: 1rem;
    border: 1px solid var(--color-border);
    overflow-y: visible;
    background-color: var(--color-surface);
    font-size: .75rem;
    font-weight: 500;
    gap: 0;
    text-transform: uppercase;
    min-width: 1024px;
}
.grid.table a{
    color: var(--color-text);
    width: 100%;
    padding: 1rem 0;
    transition: all .2s linear;
}
.grid.table a:hover{
    opacity: .5;
}
.grid.table .btn{
    padding: .25rem 1rem;
    border-radius: 999rem;
    font-size: .75rem;
    text-transform: uppercase;
    font-weight: 600;
    display: flex;
    gap: .5rem;
    align-items: center;
    text-align: center;
    border: 1px solid var(--color-border);
    background-color: transparent;
    color: var(--color-text);
}
.grid.table.half{
    width: 50%;
}

/* cada linha */
.grid.table .line{
    grid-column: 1 / -1; /* ocupa todas as 12 */
    display: grid;
    grid-template-columns: repeat(12, 1fr); /* 🔥 ESSENCIAL */
    align-items: center;
    min-height: 2.5rem;
    border-bottom: 1px solid var(--color-border);
}

.grid.table .line.empty .cell, .grid.table .line.loading .cell{
    text-align: center;
    font-style: italic;
    justify-content: center;
    align-items: center;
    color: var(--color-text-secondary);
}

/* header */
.grid.table .line.thead{
    font-weight: 600;
    background-color: var(--color-header);
    user-select: none;
    overflow: visible;
}

.grid.table .line.total{
    font-weight: 600;
    background-color: var(--color-header);
}
.grid.table .line .sort-icon svg{
    width: 1rem;
    height: 1rem;
}

/* células */
.grid.table .cell{
    padding: .5rem 1rem;
    display: flex;
    align-items: center;
    gap: .5rem;
    height: 2.5rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.grid.table .cell.title{
    padding: 1rem;
    height: 3.5rem;
    display: flex;
    gap: 1rem;
    align-items: center;
    overflow: visible;
    justify-content: space-between;
}
.grid.table .cell.title .filter{
    width: 20rem;
}
.grid.table .cell.title .filter .input{
    padding: 0 .5rem 0 2.5rem;
    height: 2.5rem;
    border-color: var(--color-border);
    border-width: 1px;
    border-radius: 999rem;
}
.grid.table .cell.title .dropdowns{
    display: flex;
    align-items: center;
    gap: 2rem;
}
.grid.table .cell.title .change{
    display: flex;
    align-items: center;
    gap: .5rem;
    cursor: pointer;
    position: relative;
}
.grid.table .cell.title .change .list{
    position: absolute;
    display: flex;
    top: 1.5rem;
    left: -.5rem;
    background-color: var(--color-header);
    border: 1px solid var(--color-border);
    border-radius: 1rem;
    box-shadow: 0 4px 12px rgba(0, 0, 0, .1);
    flex-direction: column;
    min-width: 10rem;
    z-index: 1000;
    transform: scale(.8);
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    transform-origin: top left;
    transition: all .2s linear;
}

.grid.table .cell.title .change .open-map{
    padding: .5rem;
    border-radius: 50%;
    width: 2rem;
    height: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--color-border);
}
.grid.table .cell.title .change .list.show{
    transform: scale(1);
    opacity: 1;
    pointer-events: all;
    visibility: visible;
}

.grid.table .cell.title .change .list .filter-list{
    width: 20rem;
    position: relative;
}
.grid.table .cell.title .change .list .filter-list .input{
    padding: 0 .5rem 0 2.5rem;
    height: 2.5rem;
    border: 0;
    background-color: transparent;
}
.grid.table .cell.title .change .list .items{
    display: flex;
    flex-direction: column;
    max-height: 15rem;
    overflow-y: auto;
    overflow-x: hidden;
    border-top: 1px solid var(--color-border);
}
.grid.table .cell.title .change .list .item{
    padding: .75rem 1rem;
    text-decoration: none;
    color: var(--color-text);
    font-weight: 500;
    border-bottom: 1px solid var(--color-border);
}
.grid.table .cell.title .change .list .item:last-child{
    border-bottom: none;
    border-radius: 0 0 1rem 1rem;
}
.grid.table .cell.title .change .list .item:hover{
    background-color: var(--color-surface-hover);
}

.grid.table .cell.title svg{
    width: 1rem;
    height: 1rem;
    flex-shrink: 0;
}
.grid.table .cell.right{
    justify-content: flex-end;
    text-align: right;
}
.grid.table .cell.center{
    justify-content: center;
    text-align: center;
    align-items: center;
}
.grid.table .cell.ordered{
    background-color: var(--color-ordered);
}
.grid.table .cell svg{
    width: 1.5rem;
    height: 1.5rem;
}
/* zebra só no body */
.grid.table .line:not(.thead, .total):nth-child(even) {
    background-color: var(--color-even);
}

.grid.table .line:not(.thead) .cell.red, .grid.table .line:not(.thead) .cell .red{
    color: var(--color-danger);
}

.grid.table .line:not(.thead) .cell.green, .grid.table .line:not(.thead) .cell .green{
    color: var(--color-success);
}

.grid.table .line:not(.thead) .cell.yellow, .grid.table .line:not(.thead) .cell .yellow{
    color: var(--color-warning);
}
.grid.table .line:not(.thead) .cell.gray, .grid.table .line:not(.thead) .cell .gray{
    color: var(--color-text-secondary);
}

.grid.table .line:last-child{
    border-bottom: none;
    border-radius: 0 0 1rem 1rem;
}
.grid.table .line:first-child{
    border-radius: 1rem 1rem 0 0;
}

#combos .plan{
    border-radius: 2.5rem;
    background-color: var(--color-surface);
    border: 1px solid var(--color-border);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    transition: all .2s linear;
    position: relative;
    font-size: .75rem;
}
#combos .plan .plan-header{
    background-color: var(--color-bg);
    border-radius: 1.5rem;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    gap: 0;
    transition: all .2s linear;
}
#combos .plan .plan-header .name{
    font-size: 1rem;
    font-weight: 500;
}
#combos .plan .plan-header h3{
    font-size: 2.5rem;
    letter-spacing: -0.125;
    font-weight: 800;
}

#combos .plan.featured{
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    color: #fff;
}
#combos .plan.featured::after{
    content: 'Recomendado';
    position: absolute;
    top: 2rem;
    right: 2rem;
    border-radius: 999rem;
    background-color: var(--color-primary);
    padding: .25rem .75rem;
    color: #fff;
    font-weight: 600;
}

#combos .plan.featured .plan-header{
    background-color: var(--color-primary-hover);
}

#combos .plan .btn{
    background-color: var(--color-text);
    color: var(--color-bg);
    margin-top: 1rem;
}
#combos .plan.plan.featured .btn{
    background-color: #fff;
    color: #0d0d0d;
}
#combos .plan .btn:hover .text{
    color: #fff;
}
#combos .plan .btn .icon{
    background-color: var(--color-primary);
    color: #fff;
}

#combos .plan .services{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-weight: 500;
    flex: 1;
    color: var(--color-text-secondary);
}
#combos .plan .services .service{
    display: flex;
    flex-direction: row;
    gap: .5rem;
    align-items: center;
    font-size: 1rem;
}
#combos .plan .services .service svg{
    width: 1.5rem;
    height: 1.5rem;
    color: var(--color-primary);
}

#combos .plan.featured .services{
    color: #fff;
}

#combos .plan.featured .services .service svg{
    color: #fff;
}

@media (max-width: 1024px) {
    .grid .s4.plan{
        grid-column: span 12;
    }
    header .nav-menu{
        display: block;
        position: absolute;
        right: 1rem;
        top: 50%;
        transform: translateY(-50%);
        padding: .75rem;
        border-radius: 1rem;
        width: 3rem;
        height: 3rem;
        border: 0;
        background-color: transparent;
        cursor: pointer;
    }
    header .nav-menu svg{
        color: var(--color-text);
        width: 1.5rem;
        height: 1.5rem;
    }
    header .nav-menu:hover{
        background-color: var(--color-surface);
    }
    header nav{
        flex-direction: column;
        gap: 0;
        position: absolute;
        right: 0;
        top: 5rem;
        background-color: var(--color-bg);
        border-radius: 1rem;
        width: 100%;
        max-width: 20rem;
        align-items: flex-start;
        justify-content: flex-start;
        padding: 1rem;
        transform: scale(.5);
        opacity: 0;
        pointer-events: none;
        transition: all .2s linear;
        transform-origin: top right;
        visibility: hidden;
    }
    header nav.show{
        transform: scale(1);
        opacity: 1;
        pointer-events: all;
        visibility: visible;
    }
    header nav ul{
        flex-direction: column;
        gap: 0;
        align-items: flex-start;
        justify-content: flex-start;
        width: 100%;
    }
    header nav ul li{
        width: 100%;
        min-height: 2.5rem;
    }
    header nav ul li:first-child{
        margin-left: 0;
    }
    header nav ul li a{
        width: 100%;
        line-height: 2.5rem;
        padding: 0;
        display: block;
    }
    header nav .btn{
        width: 100%;
        margin-top: 1rem;
    }

    #highlight{
        padding-bottom: 0;
        height: auto;
        min-height: 50vh;
    }
    #highlight .container-h{
        max-width: 100%;
        position: relative;
        transform: none;
        top: 0;
    }
    #highlight .container-h .btn{
        margin-top: 1rem;
    }

    .container .container-h h2{
        font-size: 1rem;
        font-weight: 600;
        color: var(--color-primary);
        margin: 0
    }
    .container .container-h .phrase{
        font-size: 2rem;
        font-weight: 700;
    }
    .container:last-child{
        padding-bottom: 5rem;
    }
}

/* Firefox */
* {
    scrollbar-color: var(--color-text-secondary) transparent;
}

/* Chrome, Edge, Safari */
::-webkit-scrollbar {
    width: .5rem;
    height: .5rem;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: var(--color-text-text);
    border-radius: 999rem;
    transition: background-color 0.2s;
}

::-webkit-scrollbar-thumb:hover {
    background-color: var(--color-text);
}
